
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*                                                                           */
/*                                                                           */
/*                   MV++ Numerical Matrix/Vector C++ Library                */
/*                             MV++ Version 1.5                              */
/*                                                                           */
/*                                  R. Pozo                                  */
/*               National Institute of Standards and Technology              */
/*                                                                           */
/*                                  NOTICE                                   */
/*                                                                           */
/* Permission to use, copy, modify, and distribute this software and         */
/* its documentation for any purpose and without fee is hereby granted       */
/* provided that this permission notice appear in all copies and             */
/* supporting documentation.                                                 */
/*                                                                           */
/* Neither the Institution (National Institute of Standards and Technology)  */
/* nor the author makes any representations about the suitability of this    */
/* software for any purpose.  This software is provided ``as is''without     */
/* expressed or implied warranty.                                            */
/*                                                                           */
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

//
//      mvv.h   
//
//                  MV vector classes for double, float, int, and complex
//

#ifndef _MV_VECTOR_ALL_H_
#define _MV_VECTOR_ALL_H_   

#include <iostream>
#include "mvvrf.h"
#include "mvvd.h"
#include "mvvi.h"
#include "mvvf.h"

#include "mvblasf.h"
#include "mvblasd.h"
#include "mvblasi.h"

#include <complex>
#include "mvvc.h"
#include "mvblasc.h"
#include "iotext.h"


#endif

// _MV_VECTOR_ALL_H_
